/**
 * Clase utilizada para representar un cilindro.
 * 
 * @author Josep Silva 
 * @version 11 Enero 2017
 */

public class Cubo extends Figura
{
    protected double lado;

    //Constructor
    public Cubo(double x, double y, double l)
    {
        super(x,y);
        this.lado = l;
    }

    public double volumen()
    {
        return this.lado*this.lado*this.lado;
    }    
    
    public void desplazar(double dx, double dy)
    {
        this.x+=dx;
        this.y+=dy;
    }    

}
